QuickCheck-2.8.1: Automatic testing of Haskell programs

Safe Haskell | Safe
Language | Haskell98

Test.QuickCheck.Text

Description

Terminal control. Internal QuickCheck module.

# Documentation

newtype Str

Constructors

MkStr String |

Instances

Show Str |

ranges :: (Show a, Integral a) => a -> a -> Str

number :: Int -> String -> String

short :: Int -> String -> String

showErr :: Show a => a -> String

oneLine :: String -> String

isOneLine :: String -> Bool

bold :: String -> String

newTerminal :: (String -> IO ()) -> (String -> IO ()) -> IO Terminal

withStdioTerminal :: (Terminal -> IO a) -> IO a

withNullTerminal :: (Terminal -> IO a) -> IO a

terminalOutput :: Terminal -> IO String

handle :: Handle -> String -> IO ()

data Terminal

putTemp :: Terminal -> String -> IO ()

putPart :: Terminal -> String -> IO ()

putLine :: Terminal -> String -> IO ()